Skip to main content
POST
/
v1
/
directory-integration
/
scim
/
v2
/
Groups
Create SCIM Group
curl --request POST \
  --url https://eu1.api.matillion.com/dpc/v1/directory-integration/scim/v2/Groups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "meta": {
    "created": "2023-11-07T05:31:56Z",
    "lastModified": "2023-11-07T05:31:56Z",
    "location": "<string>",
    "resourceType": "<string>",
    "version": "<string>"
  },
  "displayName": "<string>",
  "externalId": "<string>",
  "id": "<string>",
  "members": [
    {
      "display": "<string>",
      "ref": "<string>",
      "value": "<string>"
    }
  ],
  "schemas": [
    "<string>"
  ]
}
'
import requests

url = "https://eu1.api.matillion.com/dpc/v1/directory-integration/scim/v2/Groups"

payload = {
    "meta": {
        "created": "2023-11-07T05:31:56Z",
        "lastModified": "2023-11-07T05:31:56Z",
        "location": "<string>",
        "resourceType": "<string>",
        "version": "<string>"
    },
    "displayName": "<string>",
    "externalId": "<string>",
    "id": "<string>",
    "members": [
        {
            "display": "<string>",
            "ref": "<string>",
            "value": "<string>"
        }
    ],
    "schemas": ["<string>"]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    meta: {
      created: '2023-11-07T05:31:56Z',
      lastModified: '2023-11-07T05:31:56Z',
      location: '<string>',
      resourceType: '<string>',
      version: '<string>'
    },
    displayName: '<string>',
    externalId: '<string>',
    id: '<string>',
    members: [{display: '<string>', ref: '<string>', value: '<string>'}],
    schemas: ['<string>']
  })
};

fetch('https://eu1.api.matillion.com/dpc/v1/directory-integration/scim/v2/Groups', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "meta": {
    "created": "2023-11-07T05:31:56Z",
    "lastModified": "2023-11-07T05:31:56Z",
    "location": "<string>",
    "resourceType": "<string>",
    "version": "<string>"
  },
  "accountId": "<string>",
  "accountName": "<string>",
  "displayName": "<string>",
  "environment": "<string>",
  "externalId": "<string>",
  "id": "<string>",
  "members": [
    {
      "display": "<string>",
      "ref": "<string>",
      "value": "<string>"
    }
  ],
  "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "projectName": "<string>",
  "role": "<string>",
  "schemas": [
    "<string>"
  ]
}
{
  "detail": "<string>",
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "<string>",
  "violations": [
    "<string>"
  ]
}
{
  "detail": "<string>",
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "<string>",
  "violations": [
    "<string>"
  ]
}
{
  "detail": "<string>",
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "<string>",
  "violations": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

a valid bearer token

Body

application/json
meta
object
required
displayName
string
externalId
string
id
string
Required string length: 1 - 2147483647
members
object[]
schemas
string[]
Required array length: 1 - 2147483647 elements

Response

Group created successfully

meta
object
required
accountId
string

The unique identifier of the Matillion account this group belongs to

accountName
string

The human-readable name of the Matillion account

displayName
string
environment
string

The unique identifier of the environment this group is associated with

externalId
string
id
string
Required string length: 1 - 2147483647
members
object[]
projectId
string<uuid>

The unique identifier of the project this group is associated with

projectName
string

The human-readable name of the project

role
string

The role assigned to this group within the Matillion platform

schemas
string[]
Required array length: 1 - 2147483647 elements